// Importance.cpp: implementation of the CImportance class.
//
// Demo of CIndentedTrace features and macros
// 
// Copyright (C) 2000 Mark Messer - Released to the public domain
// This software is provided "as is" without warranty of any kind. 
// 
// Revision History
// 11/28/00	MM	Initial release
// 
/////////////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "TraceMacro.h"
#include "Importance.h"

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

CImportance::CImportance( int iInit)
{
	IT_IT( "CImportance::CImportance()" );

	m_nImportance = 0;
	if ((iInit >= 0 ) && (iInit < 255))
	{
		m_nImportance = iInit;
	}
}

CImportance::~CImportance()
{
	IT_IT( "CImportance::~CImportance()" );
}


//////////////////////////////////////////////////////////////////////
// Operations
//////////////////////////////////////////////////////////////////////

void CImportance::IncImportance()
{
	IT_IT( "CImportance::IncImportance()" );
	if (m_nImportance < 255)
	{
		++m_nImportance; 
	}
}

int CImportance::GetImportance()
{
	return m_nImportance; 
}
